LogWriterI18n (Apache Geode 2.0.2)
Description: declaration: package: org.apache.geode.i18n, interface: LogWriterI18n

Package org.apache.geode.i18n

# Interface LogWriterI18n

@Deprecated public interface LogWriterI18n
Deprecated.
Please use Log4J2 instead.
Defines methods available to clients that want to write a log message to their GemFire distributed system log file.

Instances of this interface can be obtained by calling `DistributedSystem.getLogWriter()`.

For any logged message the log file will contain:

- The message's level.
- The time the message was logged.
- The id of the thread that logged the message.
- The message itself which can be a string and/or an exception including the exception's stack trace.

A message always has a level. Logging levels are ordered. Enabling logging at a given level also enables logging at higher levels. The higher the level the more important and urgent the message.

The levels, in descending order, are:

- `severe` (highest value) is a message level indicating a serious failure. In general `severe` messages should describe events that are of considerable importance and which will prevent normal program execution. They should be reasonably intelligible to end users and to information managers.
- `error` In general `error` messages should describe events that are of considerable importance but will not prevent normal program execution. They should be reasonably intelligible to end users and to information managers. They are weaker than `severe` and stronger than `warning`.
- `warning` is a message level indicating a potential problem. In general `warning` messages should describe events that will be of interest to end users or information managers, or which indicate potential problems.
- `info` is a message level for informational messages. Typically `info` messages should be reasonably significant and should make sense to end users and system administrators.
- `config` is a message level for static configuration messages. `config` messages are intended to provide a variety of static configuration information, to assist in debugging problems that may be associated with particular configurations.
- `fine` is a message level providing tracing information. In general the `fine` level should be used for information that will be broadly interesting to developers. This level is for the lowest volume, and most important, tracing messages.
- `finer` indicates a fairly detailed tracing message. Logging calls for entering, returning, or throwing an exception are traced at the `finer` level.
- `finest` (lowest value) indicates a highly detailed tracing message. In general the `finest` level should be used for the most voluminous detailed tracing messages.

For each level methods exist that will request a message, at that level, to be logged. These methods are all named after their level.

For each level a method exists that returns a boolean indicating if messages at that level will currently be logged. The names of these methods are of the form: level`Enabled`.

- ## Method Summary

  Modifier and Type
  Method
  Description
  `void`
  `config(Throwable throwable)`
  Deprecated.
  Writes an exception to this writer.
  `void`
  `config(StringId messageId)`
  Deprecated.
  Writes a message to this writer.
  `void`
  `config(StringId messageId, Object parameter)`
  Deprecated.
  Writes a message to this writer.
  `void`
  `config(StringId messageId, Object[] parameters)`
  Deprecated.
  Writes a message to this writer.
  `void`
  `config(StringId messageId, Object[] parameters, Throwable throwable)`
  Deprecated.
  Writes both a message and exception to this writer.
  `void`
  `config(StringId messageId, Object parameter, Throwable throwable)`
  Deprecated.
  Writes both a message and exception to this writer.
  `void`
  `config(StringId messageId, Throwable throwable)`
  Deprecated.
  Writes both a message and exception to this writer.
  `boolean`
  `configEnabled()`
  Deprecated.
  `LogWriter`
  `convertToLogWriter()`
  Deprecated.
  A mechanism for accessing the abstraction layer used for a plain logger.
  `void`
  `entering(String sourceClass, String sourceMethod)`
  Deprecated.
  Log a method entry.
  `void`
  `error(Throwable throwable)`
  Deprecated.
  Writes an exception to this writer.
  `void`
  `error(StringId messageId)`
  Deprecated.
  Writes a message to this writer.
  `void`
  `error(StringId messageId, Object parameter)`
  Deprecated.
  Writes a message to this writer.
  `void`
  `error(StringId messageId, Object[] parameters)`
  Deprecated.
  Writes a message to this writer.
  `void`
  `error(StringId messageId, Object[] parameters, Throwable throwable)`
  Deprecated.
  Writes both a message and exception to this writer.
  `void`
  `error(StringId messageId, Object parameter, Throwable throwable)`
  Deprecated.
  Writes both a message and exception to this writer.
  `void`
  `error(StringId messageId, Throwable throwable)`
  Deprecated.
  Writes both a message and exception to this writer.
  `boolean`
  `errorEnabled()`
  Deprecated.
  `void`
  `exiting(String sourceClass, String sourceMethod)`
  Deprecated.
  Log a method return.
  `void`
  `fine(String msg)`
  Deprecated.
  Writes a message to this writer.
  `void`
  `fine(String msg, Throwable throwable)`
  Deprecated.
  Writes both a message and exception to this writer.
  `void`
  `fine(Throwable throwable)`
  Deprecated.
  Writes an exception to this writer.
  `boolean`
  `fineEnabled()`
  Deprecated.
  `void`
  `finer(String msg)`
  Deprecated.
  Writes a message to this writer.
  `void`
  `finer(String msg, Throwable throwable)`
  Deprecated.
  Writes both a message and exception to this writer.
  `void`
  `finer(Throwable throwable)`
  Deprecated.
  Writes an exception to this writer.
  `boolean`
  `finerEnabled()`
  Deprecated.
  `void`
  `finest(String msg)`
  Deprecated.
  Writes a message to this writer.
  `void`
  `finest(String msg, Throwable throwable)`
  Deprecated.
  Writes both a message and exception to this writer.
  `void`
  `finest(Throwable throwable)`
  Deprecated.
  Writes an exception to this writer.
  `boolean`
  `finestEnabled()`
  Deprecated.
  `Handler`
  `getHandler()`
  Deprecated.
  Returns a 1.4 logging handler that can be used to direct application output to this GemFire logger using the standard JDK logger APIs.
  `void`
  `info(Throwable throwable)`
  Deprecated.
  Writes an exception to this writer.
  `void`
  `info(StringId messageId)`
  Deprecated.
  Writes a message to this writer.
  `void`
  `info(StringId messageId, Object parameter)`
  Deprecated.
  Writes a message to this writer.
  `void`
  `info(StringId messageId, Object[] parameters)`
  Deprecated.
  Writes a message to this writer.
  `void`
  `info(StringId messageId, Object[] parameters, Throwable throwable)`
  Deprecated.
  Writes both a message and exception to this writer.
  `void`
  `info(StringId messageId, Object parameter, Throwable throwable)`
  Deprecated.
  Writes both a message and exception to this writer.
  `void`
  `info(StringId messageId, Throwable throwable)`
  Deprecated.
  Writes both a message and exception to this writer.
  `boolean`
  `infoEnabled()`
  Deprecated.
  `void`
  `severe(Throwable throwable)`
  Deprecated.
  Writes an exception to this writer.
  `void`
  `severe(StringId messageId)`
  Deprecated.
  Writes a message to this writer.
  `void`
  `severe(StringId messageId, Object parameter)`
  Deprecated.
  Writes a message to this writer.
  `void`
  `severe(StringId messageId, Object[] parameters)`
  Deprecated.
  Writes a message to this writer.
  `void`
  `severe(StringId messageId, Object[] parameters, Throwable throwable)`
  Deprecated.
  Writes both a message and exception to this writer.
  `void`
  `severe(StringId messageId, Object parameter, Throwable throwable)`
  Deprecated.
  Writes both a message and exception to this writer.
  `void`
  `severe(StringId messageId, Throwable throwable)`
  Deprecated.
  Writes both a message and exception to this writer.
  `boolean`
  `severeEnabled()`
  Deprecated.
  `void`
  `throwing(String sourceClass, String sourceMethod, Throwable thrown)`
  Deprecated.
  Log throwing an exception.
  `void`
  `warning(Throwable throwable)`
  Deprecated.
  Writes an exception to this writer.
  `void`
  `warning(StringId messageId)`
  Deprecated.
  Writes a message to this writer.
  `void`
  `warning(StringId messageId, Object parameter)`
  Deprecated.
  Writes a message to this writer.
  `void`
  `warning(StringId messageId, Object[] parameters)`
  Deprecated.
  Writes a message to this writer.
  `void`
  `warning(StringId messageId, Object[] parameters, Throwable throwable)`
  Deprecated.
  Writes both a message and exception to this writer.
  `void`
  `warning(StringId messageId, Object parameter, Throwable throwable)`
  Deprecated.
  Writes both a message and exception to this writer.
  `void`
  `warning(StringId messageId, Throwable throwable)`
  Deprecated.
  Writes both a message and exception to this writer.
  `boolean`
  `warningEnabled()`
  Deprecated.

- ## Method Details

  - ### severeEnabled

    boolean severeEnabled()
    Deprecated.
    Returns:
      true if "severe" log messages are enabled.

  - ### severe

    void severe(Throwable throwable)
    Deprecated.
    Writes an exception to this writer. The exception level is "severe".
    Parameters:
      `throwable` - the throwable to write

  - ### severe

    void severe(StringId messageId, Object[] parameters, Throwable throwable)
    Deprecated.
    Writes both a message and exception to this writer. The message level is "severe".
    Parameters:
      `messageId` - the message to write
      `parameters` - the parameters for the message
      `throwable` - the throwable to write
    Since:
      GemFire 6.0

  - ### severe

    void severe(StringId messageId, Object parameter, Throwable throwable)
    Deprecated.
    Writes both a message and exception to this writer. The message level is "severe".
    Parameters:
      `messageId` - the message to write
      `parameter` - the parameter for the message
      `throwable` - the throwable to write
    Since:
      GemFire 6.0

  - ### severe

    void severe(StringId messageId, Throwable throwable)
    Deprecated.
    Writes both a message and exception to this writer. The message level is "severe".
    Parameters:
      `messageId` - the message to write
      `throwable` - the throwable to write
    Since:
      GemFire 6.0

  - ### severe

    void severe(StringId messageId, Object[] parameters)
    Deprecated.
    Writes a message to this writer. The message level is "severe".
    Parameters:
      `messageId` - the message to write
      `parameters` - the parameters for the message
    Since:
      GemFire 6.0

  - ### severe

    void severe(StringId messageId, Object parameter)
    Deprecated.
    Writes a message to this writer. The message level is "severe".
    Parameters:
      `messageId` - the message to write
      `parameter` - the parameter for the message
    Since:
      GemFire 6.0

  - ### severe

    void severe(StringId messageId)
    Deprecated.
    Writes a message to this writer. The message level is "severe".
    Parameters:
      `messageId` - the message to write
    Since:
      GemFire 6.0

  - ### errorEnabled

    boolean errorEnabled()
    Deprecated.
    Returns:
      true if "error" log messages are enabled.

  - ### error

    void error(Throwable throwable)
    Deprecated.
    Writes an exception to this writer. The exception level is "error".
    Parameters:
      `throwable` - the throwable to write

  - ### error

    void error(StringId messageId, Object[] parameters, Throwable throwable)
    Deprecated.
    Writes both a message and exception to this writer. The message level is "error".
    Parameters:
      `messageId` - the message to write
      `parameters` - the parameters for the message
      `throwable` - the throwable to write
    Since:
      GemFire 6.0

  - ### error

    void error(StringId messageId, Object parameter, Throwable throwable)
    Deprecated.
    Writes both a message and exception to this writer. The message level is "error".
    Parameters:
      `messageId` - the message to write
      `parameter` - the parameter for the message
      `throwable` - the throwable to write
    Since:
      GemFire 6.0

  - ### error

    void error(StringId messageId, Throwable throwable)
    Deprecated.
    Writes both a message and exception to this writer. The message level is "error".
    Parameters:
      `messageId` - the message to write
      `throwable` - the throwable to write
    Since:
      GemFire 6.0

  - ### error

    void error(StringId messageId, Object[] parameters)
    Deprecated.
    Writes a message to this writer. The message level is "error".
    Parameters:
      `messageId` - the message to write
      `parameters` - the parameters for the message
    Since:
      GemFire 6.0

  - ### error

    void error(StringId messageId, Object parameter)
    Deprecated.
    Writes a message to this writer. The message level is "error".
    Parameters:
      `messageId` - the message to write
      `parameter` - the parameter for the message
    Since:
      GemFire 6.0

  - ### error

    void error(StringId messageId)
    Deprecated.
    Writes a message to this writer. The message level is "error".
    Parameters:
      `messageId` - the message to write
    Since:
      GemFire 6.0

  - ### warningEnabled

    boolean warningEnabled()
    Deprecated.
    Returns:
      true if "warning" log messages are enabled.

  - ### warning

    void warning(Throwable throwable)
    Deprecated.
    Writes an exception to this writer. The exception level is "warning".
    Parameters:
      `throwable` - the throwable to write

  - ### warning

    void warning(StringId messageId, Object[] parameters, Throwable throwable)
    Deprecated.
    Writes both a message and exception to this writer. The message level is "warning".
    Parameters:
      `messageId` - the message to write
      `parameters` - the parameters for the message
      `throwable` - the throwable to write
    Since:
      GemFire 6.0

  - ### warning

    void warning(StringId messageId, Object parameter, Throwable throwable)
    Deprecated.
    Writes both a message and exception to this writer. The message level is "warning".
    Parameters:
      `messageId` - the message to write
      `parameter` - the parameter for the message
      `throwable` - the throwable to write
    Since:
      GemFire 6.0

  - ### warning

    void warning(StringId messageId, Throwable throwable)
    Deprecated.
    Writes both a message and exception to this writer. The message level is "warning".
    Parameters:
      `messageId` - the message to write
      `throwable` - the throwable to write
    Since:
      GemFire 6.0

  - ### warning

    void warning(StringId messageId, Object[] parameters)
    Deprecated.
    Writes a message to this writer. The message level is "warning".
    Parameters:
      `messageId` - the message to write
      `parameters` - the parameters for the message
    Since:
      GemFire 6.0

  - ### warning

    void warning(StringId messageId, Object parameter)
    Deprecated.
    Writes a message to this writer. The message level is "warning".
    Parameters:
      `messageId` - the message to write
      `parameter` - the parameter for the message
    Since:
      GemFire 6.0

  - ### warning

    void warning(StringId messageId)
    Deprecated.
    Writes a message to this writer. The message level is "warning".
    Parameters:
      `messageId` - the message to write
    Since:
      GemFire 6.0

  - ### infoEnabled

    boolean infoEnabled()
    Deprecated.
    Returns:
      true if "info" log messages are enabled.

  - ### info

    void info(Throwable throwable)
    Deprecated.
    Writes an exception to this writer. The exception level is "information".
    Parameters:
      `throwable` - the throwable to write

  - ### info

    void info(StringId messageId, Object[] parameters, Throwable throwable)
    Deprecated.
    Writes both a message and exception to this writer. The message level is "info".
    Parameters:
      `messageId` - the message to write
      `parameters` - the parameters for the message
      `throwable` - the throwable to write
    Since:
      GemFire 6.0

  - ### info

    void info(StringId messageId, Object parameter, Throwable throwable)
    Deprecated.
    Writes both a message and exception to this writer. The message level is "info".
    Parameters:
      `messageId` - the message to write
      `parameter` - the parameter for the message
      `throwable` - the throwable to write
    Since:
      GemFire 6.0

  - ### info

    void info(StringId messageId, Throwable throwable)
    Deprecated.
    Writes both a message and exception to this writer. The message level is "info".
    Parameters:
      `messageId` - the message to write
      `throwable` - the throwable to write
    Since:
      GemFire 6.0

  - ### info

    void info(StringId messageId, Object[] parameters)
    Deprecated.
    Writes a message to this writer. The message level is "info".
    Parameters:
      `messageId` - the message to write
      `parameters` - the parameters for the message
    Since:
      GemFire 6.0

  - ### info

    void info(StringId messageId, Object parameter)
    Deprecated.
    Writes a message to this writer. The message level is "info".
    Parameters:
      `messageId` - the message to write
      `parameter` - the parameter for the message
    Since:
      GemFire 6.0

  - ### info

    void info(StringId messageId)
    Deprecated.
    Writes a message to this writer. The message level is "info".
    Parameters:
      `messageId` - the message to write
    Since:
      GemFire 6.0

  - ### configEnabled

    boolean configEnabled()
    Deprecated.
    Returns:
      true if "config" log messages are enabled.

  - ### config

    void config(Throwable throwable)
    Deprecated.
    Writes an exception to this writer. The exception level is "config".
    Parameters:
      `throwable` - the throwable to write

  - ### config

    void config(StringId messageId, Object[] parameters, Throwable throwable)
    Deprecated.
    Writes both a message and exception to this writer. The message level is "config".
    Parameters:
      `messageId` - the message to write
      `parameters` - the parameters for the message
      `throwable` - the throwable to write
    Since:
      GemFire 6.0

  - ### config

    void config(StringId messageId, Object parameter, Throwable throwable)
    Deprecated.
    Writes both a message and exception to this writer. The message level is "config".
    Parameters:
      `messageId` - the message to write
      `parameter` - the parameter for the message
      `throwable` - the throwable to write
    Since:
      GemFire 6.0

  - ### config

    void config(StringId messageId, Throwable throwable)
    Deprecated.
    Writes both a message and exception to this writer. The message level is "config".
    Parameters:
      `messageId` - the message to write
      `throwable` - the throwable to write
    Since:
      GemFire 6.0

  - ### config

    void config(StringId messageId, Object[] parameters)
    Deprecated.
    Writes a message to this writer. The message level is "config".
    Parameters:
      `messageId` - the message to write
      `parameters` - the parameters for the message
    Since:
      GemFire 6.0

  - ### config

    void config(StringId messageId, Object parameter)
    Deprecated.
    Writes a message to this writer. The message level is "config".
    Parameters:
      `messageId` - the message to write
      `parameter` - the parameter for the message
    Since:
      GemFire 6.0

  - ### config

    void config(StringId messageId)
    Deprecated.
    Writes a message to this writer. The message level is "config".
    Parameters:
      `messageId` - the message to write
    Since:
      GemFire 6.0

  - ### fineEnabled

    boolean fineEnabled()
    Deprecated.
    Returns:
      true if "fine" log messages are enabled.

  - ### fine

    void fine(String msg, Throwable throwable)
    Deprecated.
    Writes both a message and exception to this writer. The message level is "fine".
    Parameters:
      `msg` - the message to log
      `throwable` - the throwable to log

  - ### fine

    void fine(String msg)
    Deprecated.
    Writes a message to this writer. The message level is "fine".
    Parameters:
      `msg` - the message to log

  - ### fine

    void fine(Throwable throwable)
    Deprecated.
    Writes an exception to this writer. The exception level is "fine".
    Parameters:
      `throwable` - the throwable to log

  - ### finerEnabled

    boolean finerEnabled()
    Deprecated.
    Returns:
      true if "finer" log messages are enabled.

  - ### finer

    void finer(String msg, Throwable throwable)
    Deprecated.
    Writes both a message and exception to this writer. The message level is "finer".
    Parameters:
      `msg` - the message to log
      `throwable` - the throwable to log

  - ### finer

    void finer(String msg)
    Deprecated.
    Writes a message to this writer. The message level is "finer".
    Parameters:
      `msg` - the message to log

  - ### finer

    void finer(Throwable throwable)
    Deprecated.
    Writes an exception to this writer. The exception level is "finer".
    Parameters:
      `throwable` - the throwable to log

  - ### entering

    void entering(String sourceClass, String sourceMethod)
    Deprecated.
    Log a method entry.

    The logging is done using the `finer` level. The string message will start with `"ENTRY"` and include the class and method names.

    Parameters:
      `sourceClass` - Name of class that issued the logging request.
      `sourceMethod` - Name of the method that issued the logging request.

  - ### exiting

    void exiting(String sourceClass, String sourceMethod)
    Deprecated.
    Log a method return.

    The logging is done using the `finer` level. The string message will start with `"RETURN"` and include the class and method names.

    Parameters:
      `sourceClass` - Name of class that issued the logging request.
      `sourceMethod` - Name of the method that issued the logging request.

  - ### throwing

    void throwing(String sourceClass, String sourceMethod, Throwable thrown)
    Deprecated.
    Log throwing an exception.

    Use to log that a method is terminating by throwing an exception. The logging is done using the `finer` level.

    This is a convenience method that could be done instead by calling `finer(String, Throwable)`. The string message will start with `"THROW"` and include the class and method names.

    Parameters:
      `sourceClass` - Name of class that issued the logging request.
      `sourceMethod` - Name of the method that issued the logging request.
      `thrown` - The Throwable that is being thrown.

  - ### finestEnabled

    boolean finestEnabled()
    Deprecated.
    Returns:
      true if "finest" log messages are enabled.

  - ### finest

    void finest(String msg, Throwable throwable)
    Deprecated.
    Writes both a message and exception to this writer. The message level is "finest".
    Parameters:
      `msg` - the message to log
      `throwable` - the throwable to log

  - ### finest

    void finest(String msg)
    Deprecated.
    Writes a message to this writer. The message level is "finest".
    Parameters:
      `msg` - the message to log

  - ### finest

    void finest(Throwable throwable)
    Deprecated.
    Writes an exception to this writer. The exception level is "finest".
    Parameters:
      `throwable` - the throwable to log

  - ### getHandler

    Handler getHandler()
    Deprecated.
    Returns a 1.4 logging handler that can be used to direct application output to this GemFire logger using the standard JDK logger APIs. Each time this method is called it creates a new instance of a Handler so care should be taken to not call this method too often.
    Returns:
      a 1.4 logging handler

  - ### convertToLogWriter

    LogWriter convertToLogWriter()
    Deprecated.
    A mechanism for accessing the abstraction layer used for a plain logger.
    Returns:
      a `LogWriter`